Bug 179997 - Re: Request for testers: Video hardware autodetection
Re: Request for testers: Video hardware autodetection
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2006-02-04 08:24 EST by John Ellson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-09 13:19:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg.conf (2.45 KB, text/plain)
2006-02-04 08:24 EST, John Ellson
no flags Details
Xorg.0.log (44.95 KB, text/plain)
2006-02-04 08:25 EST, John Ellson
no flags Details
xorg.conf created by system-config-display --reconfig (2.44 KB, text/plain)
2006-02-05 04:56 EST, Ellen Shull
no flags Details
nv driving happily working (34.21 KB, text/plain)
2006-02-05 04:57 EST, Ellen Shull
no flags Details

  None (edit)
Description John Ellson 2006-02-04 08:24:30 EST
Description of problem:
nv driver doesn't recognize display hardware or LCD panel

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.system-config-display --reconfig
2.change "vesa" to "nv"
Actual results:

Expected results:

Additional info:
LCD Panel is a: Princeton Model L203, Product Name: LCD200, 1600x1200
Comment 1 John Ellson 2006-02-04 08:24:30 EST
Created attachment 124160 [details]
Comment 2 John Ellson 2006-02-04 08:25:42 EST
Created attachment 124161 [details]
Comment 3 John Ellson 2006-02-04 08:26:57 EST
Correction to Comment #0 : LCD Panel Product Name: LCD2000
Comment 4 Ellen Shull 2006-02-05 04:55:07 EST
Another nv-supported card not getting set to nv by system-config-display.
Comment 5 Ellen Shull 2006-02-05 04:56:51 EST
Created attachment 124194 [details]
xorg.conf created by system-config-display --reconfig
Comment 6 Ellen Shull 2006-02-05 04:57:43 EST
Created attachment 124195 [details]
nv driving happily working
Comment 7 Mike A. Harris 2006-02-09 12:37:46 EST

Oddly, the top line of your X log file is corrupted.  I've noticed that in
a few people's log files lately, and it seems that the X server must have
a bug in it which is corrupting part of the log files (and lord knows what
all else).  I've discussed it with some other developers, and we've confirmed
that it isn't our web browsers or bugzilla corrupting it, but that it must
be the X server itself doing it.  That's indicative of a latent bug in the
server which is probably going to become more apparent over time.  I thought
I'd mention that for documentive purposes here.

For your card:

Here's the chip X is detecting, which appears to be supported by the driver:
(II) PCI: 05:00:0: chip 10de,0092 card 10de,0301 rev a1 class 03,00,00 hdr 00

Not sure why it's logging this:
(--) PCI: (1:7:0) unknown vendor (0x14f1) unknown chipset (0x8800) rev 5, Mem @

Here's your chip detected:
(--) PCI:*(5:0:0) nVidia Corporation GeForce 7800 GT rev 161, Mem @
0xf7000000/24, 0xd0000000/28, 0xf8000000/24, I/O @ 0x5c00/7

The glx module below indicates you've installed Nvidia's proprietary drivers
on your system, and that your X server is configured to load the proprietary
Nvidia GLX module (which is unsupported).  It's incompatible with the open
source driver and should not be loaded when using "nv":

(II) Module glx: vendor="NVIDIA Corporation"
	compiled for 4.0.2, module version = 1.0.8178
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1

Comment out any lines in the config file that pertain to the proprietary
driver when using the open source one.  Also note that it is possible that
the Nvidia proprietary module is what is causing the corruption of the
X log file and could possibly destabilize the X server.

This part:
(EE) Failed to initialize GLX extension (Compatible NVIDIA X driver not found)

... confirms the proprietary driver is present.

Aside from all of that though, I've confirmed the chip is supposed to work
with the nv driver, and I've added the missing PCI ID to nv.xinf, which will
be present in the next nv driver build:

Thanks for the report.  Hopefully we'll determine the real cause of the
corrupted log files soon.  Hopefully it's due to the proprietary X server
module and not X.Org code.  ;o)
Comment 8 Mike A. Harris 2006-02-09 12:50:06 EST
(In reply to comment #0)
> Description of problem:
> nv driver doesn't recognize display hardware or LCD panel

Display (monitor/LCD) detection is done by the ddcprobe utility, which only
works on x86 architecture, as the method it uses to access the video BIOS is
x86 specific.  Thus on non-x86 architecture you may need to manually specify
the parameters of your display.  Alternatively you can remove the Horiz/Vert
frequencies from the xorg.conf and allow the video driver to do direct DDC
probing.  Direct probing is usually more accurate than the BIOS method used
on x86 by 'ddcprobe', however it is also unfortunately not 100% reliable
due to a great number of factors.  Any display detection problems that are
the result of the "nv" video driver itself need to be reported to the upstream
developers at Nvidia via X.Org bugzilla, as they have the hardware
documentation to fix any problems.

Comment 9 Mike A. Harris 2006-02-09 12:55:45 EST

Thanks for your files also.  I've reviewed them and the driver as well,
and added 10DE:00F2 to nv.xinf

It appears most of the ID's are directly listed in nv_driver.c unlike
the other video drivers, so I'm going to update nv.xinf with any others
that are present in the driver source but missing from nv.xinf.

Thanks again guys.

Comment 10 Mike A. Harris 2006-02-09 13:19:19 EST
Ok, the new nv driver is building now, should be in rawhide tomorrow.

Thanks again.

Note You need to log in before you can comment on or make changes to this bug.